Subject: Guestgroup "dir" problems - the answer

From: [email-masked] (greg_piney)
Date: Thu, 05 Feb 1998 09:49:03 -0500

When I originally posted  a "no output from dir" problem, I decided to continue
diagnosing the problem. I found  where the problem lies. I have multiple
guest groups and was wondering why some worked and others didn't. This
is specific to Solaris 2.5.x and 2.6. The problem lies in the
way you make the required "bin dev etc usr" directories, specifically "usr".
I, like many others, modified the script in the 'man pages' to suit my
needs and environment. When I upgraded from 2.5.1 to 2.6, I incorporated
my changes to the new script. It was only the new stuff that was failing.
The '~ftp/usr/lib' directory created by the new exec looks like:

-rwxr-xr-x   1 root     daemon     24576 Jan 13 10:21 ld.so
-rwxr-xr-x   1 root     daemon    174844 Jan 13 10:21 ld.so.1
lrwxrwxrwx   1 root     other         11 Jan 13 10:21 libc.so -> ./libc.so.1
-rwxr-xr-x   1 root     daemon   1000252 Jan 13 10:21 libc.so.1
lrwxrwxrwx   1 root     other         12 Jan 13 10:21 libdl.so -> ./libdl.so.1
-rwxr-xr-x   1 root     daemon      4320 Jan 13 10:21 libdl.so.1
lrwxrwxrwx   1 root     other         14 Jan 13 10:21 libintl.so -> ./libintl.so

.1
-rwxr-xr-x   1 root     daemon      2468 Jan 13 10:21 libintl.so.1
lrwxrwxrwx   1 root     other         11 Jan 13 10:21 libw.so -> ./libw.so.1
-rwxr-xr-x   1 root     daemon      6708 Jan 13 10:21 libw.so.1

The problem is the links. For some unknown reason, 'ls -l' won't work
this way. When I use my old script, the directory looks like this:

-r-xr-xr-x   1 root     daemon     24576 Nov 11 15:10 ld.so
-r-xr-xr-x   1 root     daemon    174844 Nov 11 15:10 ld.so.1
-r-xr-xr-x   1 root     daemon   1000252 Nov 11 15:10 libc.so
-r-xr-xr-x   1 root     daemon   1000252 Nov 11 15:10 libc.so.1
-r-xr-xr-x   1 root     daemon      4320 Nov 11 15:10 libdl.so
-r-xr-xr-x   1 root     daemon      4320 Nov 11 15:10 libdl.so.1
-r-xr-xr-x   1 root     daemon      2468 Nov 11 15:10 libintl.so
-r-xr-xr-x   1 root     daemon      2468 Nov 11 15:10 libintl.so.1
-r-xr-xr-x   1 root     daemon      6708 Nov 11 15:10 libw.so
-r-xr-xr-x   1 root     daemon      6708 Nov 11 15:10 libw.so.1

This setup allows 'ls -l' to function perfectly. So, if you change the
links to real files, all is well.

Greg Piney
Sr.Software Engineer
The McGraw-Hill Companies